From 48702a894ae3195db5fd2fd801fa432651c6f0f2 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Mon, 15 Jun 2009 11:35:30 +0200
Subject: [PATCH] binutils: Move the check in 64-bit specific conditional.

Signed-off-by: Kedar Sovani <kedars@marvell.com>
---
 binutils.spec |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

diff --git a/binutils.spec b/binutils.spec
index 226ec90..2991d9f 100644
--- a/binutils.spec
+++ b/binutils.spec
@@ -17,7 +17,7 @@
 Summary: A GNU collection of binary utilities
 Name: %{?cross}binutils%{?_with_debug:-debug}
 Version: 2.19.51.0.2
-Release: 17%{?dist}
+Release: 17%{?dist}.fa1
 License: GPLv3+
 Group: Development/Tools
 URL: http://sources.redhat.com/binutils
@@ -219,8 +219,10 @@ rm -f %{buildroot}%{_prefix}/%{_lib}/lib{bfd,opcodes}.so
 # Remove libtool files, which reference the .so libs
 rm -f %{buildroot}%{_prefix}/%{_lib}/lib{bfd,opcodes}.la
 
+%if "%{__isa_bits}" == "64"
 # Sanity check --enable-64-bit-bfd really works.
 grep '^#define BFD_ARCH_SIZE 64$' %{buildroot}%{_prefix}/include/bfd.h
+%endif
 # Fix multilib conflicts of generated values by __WORDSIZE-based expressions.
 %ifarch %{ix86} x86_64 ppc ppc64 s390 s390x sh3 sh4 sparc sparc64
 sed -i -e '/^#include "ansidecl.h"/{p;s~^.*$~#include <bits/wordsize.h>~;}' \
@@ -347,6 +349,9 @@ fi
 %endif # %{isnative}
 
 %changelog
+* Mon Jun 15 2009 Kedar Sovani <kedars@marvell.com> 2.19.51.0.2-17.fa1
+- Move the check for BFD_ARCH_SIZE IN 64-bit specific conditional
+
 * Tue Mar 17 2009 Nick Clifton <nickc@redhat.com> 2.19.51.0.2-17
 - Add glibc-static to BuildRequires when running the testsuite.
 
-- 
1.5.5.6

